#!/bin/sh

CPLIBPATH="/opt/cprocsp/lib/"
CPCONFIG="/opt/cprocsp/sbin/cpconfig"
CPRESPATH="/opt/cprocsp/share/locale/"
LIBNAME="librdresmarttokengost.dylib"
NAME="ESMARTTokenGOST"
RESNAME="librdresmarttokengost"
RESOURCE_FOLDER="./"
RELEASE_FOLDER="./"

cp $RELEASE_FOLDER$LIBNAME $CPLIBPATH

cp "$RESOURCE_FOLDER"$RESNAME.cat $CPRESPATH'default/LC_MESSAGES/'$RESNAME.cat
cp "$RESOURCE_FOLDER"$RESNAME'_cp866.cat' $CPRESPATH'ru_RU.CP866/'$RESNAME.cat
cp "$RESOURCE_FOLDER"$RESNAME'_cp1251.cat' $CPRESPATH'ru_RU.CP1251/'$RESNAME.cat
cp "$RESOURCE_FOLDER"$RESNAME'_iso8859-5.cat' $CPRESPATH'ru_RU.ISO8859-5/'$RESNAME.cat
cp "$RESOURCE_FOLDER"$RESNAME'_koi8-r.cat' $CPRESPATH'ru_RU.KOI8-R/'$RESNAME.cat
cp "$RESOURCE_FOLDER"$RESNAME'_utf-8.cat' $CPRESPATH'ru_RU.UTF-8/'$RESNAME.cat

chmod a+r $CPRESPATH'default/LC_MESSAGES/'$RESNAME'.cat'
chmod a+r $CPRESPATH'/ru_RU.CP866/'$RESNAME'.cat'
chmod a+r $CPRESPATH'/ru_RU.CP1251/'$RESNAME'.cat'
chmod a+r $CPRESPATH'/ru_RU.ISO8859-5/'$RESNAME'.cat'
chmod a+r $CPRESPATH'/ru_RU.KOI8-R/'$RESNAME'.cat'
chmod a+r $CPRESPATH'/ru_RU.UTF-8/'$RESNAME'.cat'

$CPCONFIG -ini '\config\apppath' -add string $LIBNAME $CPLIBPATH$LIBNAME
$CPCONFIG -ini "\config\KeyCarriers\\$NAME" -add string DLL $LIBNAME
$CPCONFIG -hardware media -add $NAME -name $NAME
$CPCONFIG -hardware media -configure $NAME -add hex atr 3B7C95000045534D415254474F53543130
$CPCONFIG -hardware media -configure $NAME -add hex mask FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
$CPCONFIG -hardware media -configure $NAME -add string folders 'F010\F020\F030\F040\F050\F060\F070\F080\F090\F0A0\F0B0\F0C0\F0D0\F0E0\F0F0\F110\F120\F130\F140\F150\F160\F170\F180\F190'
$CPCONFIG -hardware media -configure $NAME -add string Name 'ESMARTTokenGOST'

$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'_F' -add hex atr 3B7E130000805C45534D415254474F53543130
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'_F' -add hex mask FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'_F' -add string folders 'F010\F020\F030\F040\F050\F060\F070\F080\F090\F0A0\F0B0\F0C0\F0D0\F0E0\F0F0\F110\F120\F130\F140\F150\F160\F170\F180\F190'
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'_F' -add string Name 'ESMARTTokenGOST F'

$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'_S' -add hex atr 3B6E0000805C45534D415254474F53543130
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'_S' -add hex mask FFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFFF
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'_S' -add string folders 'F010\F020\F030\F040\F050\F060\F070\F080\F090\F0A0\F0B0\F0C0\F0D0\F0E0\F0F0\F110\F120\F130\F140\F150\F160\F170\F180\F190'
$CPCONFIG -hardware media -configure "$NAME" -connect $NAME'_S' -add string Name 'ESMARTTokenGOST S'

